<?php
if(is_file(H."sys/comm/obmen/screens/128/$file_id[id].gif")){

if(isset($user) && $user['set_show_icon']==1){
	echo '<img src="/sys/comm/obmen/screens/128/'.$file_id['id'].'.gif" alt="Скрин..."/><br/>';
	}
	}

if($file_id['opis']!=NULL){
	echo '<b>Описание</b>: '.trim(br(links($file_id['opis']))).'<br/>';
	}

echo '<b>Добавлен</b>: '.vremja($file_id['time']).'<br/>';

if(class_exists('ffmpeg_movie')){
	$media = new ffmpeg_movie($file);

if(intval($media->getDuration())>3599){
	echo '<b>Время</b>: '.intval($media->getDuration()/3600).':'.date('s',fmod($media->getDuration()/60,60)).':'.date('s',fmod($media->getDuration(),3600)).'<br/>';
	}else if(intval($media->getDuration())>59){
		echo '<b>Время</b>: '.intval($media->getDuration()/60).':'.date('s',fmod($media->getDuration(),60)).'<br/>';
		}else{
			echo '<b>Время</b>: '.intval($media->getDuration()).' сек<br/>';
			}

echo '<b>Битрейт</b>: '.ceil(($media->getBitRate())/1024).' KBPS<br/>';

if($media->getAudioChannels()==1){
	echo '<b>Тип</b>: Mono<br/>';
	}else{
		echo '<b>Тип</b>: Stereo<br/>';
		}

echo '<b>Дискретизация</b>: '.$media->getAudioSampleRate().' Гц<br/>';

if(($media->getArtist())<>""){

if(function_exists('iconv')){
	echo '<b>Исполнитель</b>: '.iconv('windows-1251', 'utf-8', $media->getArtist()).'<br/>';
	}else{
		echo '<b>Исполнитель</b>: '.$media->getArtist().'<br/>';
		}
		}

if(($media->getGenre())<>""){
	echo '<b>Жанр</b>: '.$media->getGenre().'<br/>';
	}
	}else{
		include_once H.'sys/inc/mp3.php';
		$id3 = new MP3_Id();
		$result = $id3->read($file);
		$result = $id3->study();

if(($id3->getTag('length')<>0)){
	echo '<b>Время</b>: '.$id3->getTag('length').'<br/>';
	}

if(($id3->getTag('bitrate'))<>0){
	echo'<b>Битрейт</b>: '.$id3->getTag('bitrate').' KBPS<br/>';
	}

if(($id3->getTag('mode'))<>""){
	echo '<b>Тип</b>: '.$id3->getTag('mode').'<br/>';
	}

if(($id3->getTag('frequency'))<>0){
	echo '<b>Дискретизация</b>: '.$id3->getTag('frequency').' Гц<br/>';
	}

if(($id3->getTag('album'))<>""){

if(function_exists('iconv')){
	echo '<b>Альбом</b>: '.iconv('windows-1251', 'utf-8', $id3->getTag('album')).'<br/>';
	}else{
		echo '<b>Альбом</b>: '.$id3->getTag('album').'<br/>';
		}
		}

if(($id3->getTag('artists'))<>""){

if(function_exists('iconv')){
	echo '<b>Исполнитель</b>: '.iconv('windows-1251', 'utf-8', $id3->getTag('artists')).'<br/>';
	}else{
		echo '<b>Исполнитель</b>: '.$id3->getTag('artists').'<br/>';
		}
		}

if(($id3->getTag('genre'))<>""){
	echo '<b>Жанр</b>: '.$id3->getTag('genre').'<br/>';
	}
	}

echo '<b>Размер</b>: '.size_file($size).'<br/>';
?>